dnsjit.lib.clock(3)

NAME
dnsjit.lib.clock - Clock and time functions

SYNOPSIS
  local clock = require("dnsjit.lib.clock")
  local sec, nsec = clock.monotonic()

DESCRIPTION
Functions to get the time from system-wide clocks.

  Functions

Clock.realtime()
    Return the current seconds and nanoseconds (as a list) from the realtime clock.

Clock.monotonic()
    Return the current seconds and nanoseconds (as a list) from the monotonic clock.

SEE ALSO
clock_gettime(2)

AUTHORS and CONTRIBUTORS
Jerry Lundström (DNS-OARC), Tomáš Křížek (CZ.NIC), Petr Špaček (ISC)

Maintained by DNS-OARC

    https://www.dns-oarc.net/

BUGS
For issues and feature requests please use:

    https://github.com/DNS-OARC/dnsjit/issues

For question and help please use:

    admin@dns-oarc.net